%define anolis_release 3

Name:           mokutil
Version:        0.5.0
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Tool to manage UEFI Secure Boot MoK Keys

License:        GPLv3+
URL:            https://github.com/lcp/mokutil
Source0:        https://github.com/lcp/mokutil/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
ExclusiveArch:  x86_64 aarch64

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  efivar-devel
BuildRequires:  gcc
BuildRequires:  gnu-efi
BuildRequires:  keyutils-libs-devel
BuildRequires:  make
BuildRequires:  openssl
BuildRequires:  openssl-devel

%description
mokutil is a tool to import or delete the machines owner keys (MOK)
stored in the database

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -i
%configure
%{make_build}

%install
%{make_install}

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_bindir}/mokutil
%{abidir}/mokutil-option.list
%{_mandir}/man1/*
%{_datadir}/bash-completion/completions/mokutil

%files doc
%doc README

%changelog
* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.5.0-3
- optimise spec file

* Fri Mar 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.5.0-2
- add epoch version

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.5.0-1
- Initial packaging for Anolis OS 23
